package com.byteslounge.shape.adapter;

import com.byteslounge.geometry.OtherRectangle;
import com.byteslounge.shape.Rectangle;

public class RectangleAdapter implements Rectangle {

	private final OtherRectangle rectangle;

	public RectangleAdapter(OtherRectangle rectangle) {
		this.rectangle = rectangle;
	}

	@Override
	public int getTopLeftX() {
		return rectangle.getTopLeftX();
	}

	@Override
	public int getTopLeftY() {
		return rectangle.getTopLeftY();
	}

	@Override
	public int getWidth() {
		return rectangle.getBottomRightX() - rectangle.getTopLeftX();
	}

	@Override
	public int getHeight() {
		return rectangle.getBottomRightY() - rectangle.getTopLeftY();
	}

}
